Bug 892687 - CVE-2012-6086 zabbix: Improper use of cURL API might lead to improper SSL certificate verification (MiTM) [fedora-all]
CVE-2012-6086 zabbix: Improper use of cURL API might lead to improper SSL cer...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: zabbix (Show other bugs)
17
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dan Horák
Fedora Extras Quality Assurance
: Reopened, Security, SecurityTracking
Depends On:
Blocks: CVE-2012-6086
  Show dependency treegraph
 
Reported: 2013-01-07 10:45 EST by Jan Lieskovsky
Modified: 2013-10-14 13:20 EDT (History)
5 users (show)

See Also:
Fixed In Version: zabbix-2.0.8-3.fc19
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-08 16:36:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2013-01-07 10:45:14 EST
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please use the bodhi submission link
noted in the next comment(s).  This will include the bug IDs of this
tracking bug as well as the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
Bodhi notes field when available.

Please note: this issue affects multiple supported versions of Fedora.
Only one tracking bug has been filed; please ensure that it is only closed
when all affected versions are fixed.

[bug automatically created by: add-tracking-bugs]
Comment 1 Jan Lieskovsky 2013-01-07 10:45:21 EST
Please use the following update submission link to create the Bodhi
request for this issue as it contains the top-level parent bug(s) as well
as this tracking bug.  This will ensure that all associated bugs get
updated when new packages are pushed to stable.

Please also ensure that the "Close bugs when update is stable" option
remains checked.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=892685,892687
Comment 2 Fedora End Of Life 2013-07-04 01:22:57 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Volker Fröhlich 2013-07-30 12:21:18 EDT
I could barely get that update out now! The issue is solved in releases from F18 on.
Comment 4 Fedora Update System 2013-07-31 02:26:05 EDT
zabbix-2.0.6-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/zabbix-2.0.6-3.fc19
Comment 5 Fedora Update System 2013-07-31 02:26:19 EDT
zabbix-2.0.6-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/zabbix-2.0.6-3.fc18
Comment 6 Maurizio 2013-09-19 10:22:13 EDT
internal server error
Comment 7 Volker Fröhlich 2013-09-19 10:24:28 EDT
Please try to provide a little more details!
Comment 8 Fedora Update System 2013-09-29 20:29:27 EDT
zabbix-2.0.6-3.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2013-10-03 16:31:08 EDT
zabbix-2.0.8-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/zabbix-2.0.8-3.fc19
Comment 10 Fedora Update System 2013-10-03 16:31:27 EDT
zabbix-2.0.8-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/zabbix-2.0.8-3.fc20
Comment 11 Fedora Update System 2013-10-03 16:31:56 EDT
zabbix-2.0.8-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/zabbix-2.0.8-3.fc18
Comment 12 Fedora Update System 2013-10-04 21:42:37 EDT
Package zabbix-2.0.8-3.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing zabbix-2.0.8-3.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-18314/zabbix-2.0.8-3.fc20
then log in and leave karma (feedback).
Comment 13 Fedora Update System 2013-10-13 15:54:26 EDT
zabbix-2.0.8-3.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2013-10-14 03:02:07 EDT
zabbix-2.0.8-3.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2013-10-14 03:06:31 EDT
zabbix-2.0.8-3.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2013-10-14 13:12:44 EDT
zabbix-2.0.8-3.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2013-10-14 13:20:15 EDT
zabbix-2.0.8-3.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.